package com.bjtdba.userCenter.service;

import com.bjtdba.entity.userCenter.UserVideoShare;

import java.util.List;

/**
 * 用户分享记录表(UserVideoShare)表服务接口
 *
 * @author 何海强
 * @since 2022-11-16 17:20:05
 */
public interface UserVideoShareService {

    /**
     * 通过ID查询单条数据
     *
     * @param sid 主键
     * @return 实例对象
     */
    UserVideoShare queryById(Integer sid);

    /**
     * 分页查询
     *
     * @param userVideoShare 筛选条件
     * @return 查询结果
     */

    public List<UserVideoShare> queryList(UserVideoShare userVideoShare);

    public  long counts(UserVideoShare userVideoShare);

    /**
     * 新增数据
     *
     * @param userVideoShare 实例对象
     * @return 实例对象
     */
    UserVideoShare insert(UserVideoShare userVideoShare);

    /**
     * 修改数据
     *
     * @param userVideoShare 实例对象
     * @return 实例对象
     */
    UserVideoShare update(UserVideoShare userVideoShare);

    /**
     * 通过主键删除数据
     *
     * @param sid 主键
     * @return 是否成功
     */
    boolean deleteById(Integer sid);

}
